# IPFailover

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**Ip** | Pointer to **string** |  | [optional] |
|**NicUuid** | Pointer to **string** |  | [optional] |

## Methods

### NewIPFailover

`func NewIPFailover() *IPFailover`

NewIPFailover instantiates a new IPFailover object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewIPFailoverWithDefaults

`func NewIPFailoverWithDefaults() *IPFailover`

NewIPFailoverWithDefaults instantiates a new IPFailover object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetIp

`func (o *IPFailover) GetIp() string`

GetIp returns the Ip field if non-nil, zero value otherwise.

### GetIpOk

`func (o *IPFailover) GetIpOk() (*string, bool)`

GetIpOk returns a tuple with the Ip field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetIp

`func (o *IPFailover) SetIp(v string)`

SetIp sets Ip field to given value.

### HasIp

`func (o *IPFailover) HasIp() bool`

HasIp returns a boolean if a field has been set.

### GetNicUuid

`func (o *IPFailover) GetNicUuid() string`

GetNicUuid returns the NicUuid field if non-nil, zero value otherwise.

### GetNicUuidOk

`func (o *IPFailover) GetNicUuidOk() (*string, bool)`

GetNicUuidOk returns a tuple with the NicUuid field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetNicUuid

`func (o *IPFailover) SetNicUuid(v string)`

SetNicUuid sets NicUuid field to given value.

### HasNicUuid

`func (o *IPFailover) HasNicUuid() bool`

HasNicUuid returns a boolean if a field has been set.



